<?php declare(strict_types = 1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Table(name="film_format", schema="camera")
 * @ORM\Entity
 */
class FilmFormat {
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

	/**
	 * @var int
	 *
	 * @ORM\Column(name="number_id", type="integer")
	 */
    private $numberId;

	/**
	 * @var string
	 *
	 * @ORM\Column(name="name", type="string")
	 */
	private $name;

	/**
	 * @return int
	 */
	public function getId(): ?int
	{
		return $this->id;
	}

	/**
	 * @return int
	 */
	public function getNumberId(): ?int
	{
		return $this->numberId;
	}

	/**
	 * @param int $numberId
	 * @return self
	 */
	public function setNumberId(int $numberId): self
	{
		$this->numberId = $numberId;
		return $this;
	}

	/**
	 * @return string
	 */
	public function getName(): ?string
	{
		return $this->name;
	}

	/**
	 * @param string $name
	 * @return self
	 */
	public function setName(string $name): self
	{
		$this->name = $name;
		return $this;
	}
}
