<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.previouslyOwnedLenses
 *
 * @ORM\Table(name="previously_owned_lenses", schema="camera")
 * @ORM\Entity(repositoryClass="App\Repository\LensesRepository")
 */
class PreviouslyOwnedLenses
{
	use LensTrait;
	/**
	 * @var integer
	 *
	 * @ORM\Column(name="id", type="integer", nullable=false)
	 * @ORM\Id
	 * @ORM\GeneratedValue(strategy="IDENTITY")
	 */
	private $id;

	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="received", type="boolean", nullable=false)
	 */
	private $received = true;

	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="formerly_owned", type="boolean", nullable=false)
	 */
	private $formerlyOwned = true;
}
