<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.flash
 *
 * @ORM\Table(name="flash", schema="camera")
 * @ORM\Entity
 */
class Flash
{
	use FlashTrait;

	/**
	 * @var integer
	 *
	 * @ORM\Column(name="id", type="integer", nullable=false)
	 * @ORM\Id
	 * @ORM\GeneratedValue(strategy="IDENTITY")
	 * @ORM\SequenceGenerator(sequenceName="camera.flash_id_seq", allocationSize=1, initialValue=1)
	 */
	private $id;

	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="received", type="boolean", nullable=false, options={"default" : false})
	 */
	private $received = false;


	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="formerly_owned", type="boolean", nullable=false, options={"default" : false})
	 */
	private $formerlyOwned = false;
}
